class C {
    boolean foo() {
    	return true;
    }
    
    static public void main(String[] args) {
	int i = 9;
	C a = new C();
	C b = null;
	C c = a;
	while (args.length<3?true:false) {
	    b = new C();
	    c = new C();
	}
	b.foo(); // b could be null
	c.foo(); // c cannot be null
	a.foo();
    }

}
